import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Arena extends World
{

    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public Arena()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 400, 1); 
        populateStatic();
    }

    public void populateStatic(){
        removeObjects(getObjects(null)); //removes all objects
      //  addObject(new Anthill(20), 200, 100);
      //  addObject(new HoneyDrop(50), 400, 150);
      //  addObject(new HoneyDrop(25), 350, 365);
      //  addObject(new HoneyDrop(75), 120, 225);
      //  addObject(new HoneyDrop(150), 750, 150);
      //  addObject(new HoneyDrop(125), 550, 20);
      //  addObject(new Beehive(5),120,120);
        addObject(new Flower(40), 500, 300);
        addObject(new Flower(35), 450, 350);
        addObject(new Flower(30), 400, 330);
        addObject(new Flower(25), 375, 320);
        addObject(new Flower(20), 300, 370);
       // addObject(new AntEater(), 320, 250);
    }

    public void populateDynamic() {
        removeObjects(getObjects(null)); //removes all objects
        int anthills = 1+Greenfoot.getRandomNumber(4);
        int foods = 2+Greenfoot.getRandomNumber(5)*3;
        int beehives = 1+Greenfoot.getRandomNumber(2);
        int flowers = 2+Greenfoot.getRandomNumber(5)*3;
        int anteaters = 1+Greenfoot.getRandomNumber(2);

        for(int i = 1; i <= anthills; i++){
            addObject( new Anthill(10+i*Greenfoot.getRandomNumber(10)), 
                randomPosition("width"), randomPosition("height")); //size of random anthilss varies
        }

   //    for(int i = 1; i <= foods; i++){
   //         addObject( new HoneyDrop(10+i*Greenfoot.getRandomNumber(20)), 
   //             randomPosition("width"), randomPosition("height")); //volume of random honey drops varies 
   //     }
        
     //   for(int i = 1; i <= beehives; i++){
     //       addObject( new Beehive(10+i*Greenfoot.getRandomNumber(10)), 
    //            randomPosition("width"), randomPosition("height")); //size of random anthilss varies
     //   }
        
        for(int i = 1; i <= flowers; i++){
            addObject( new Flower(10+i*Greenfoot.getRandomNumber(20)), 
                randomPosition("width"), randomPosition("height")); //volume of random honey drops varies 
        }
        
      //  for(int i = 1; i <= anteaters; i++){
      //      addObject(new AntEater(), 
       //         15 + Greenfoot.getRandomNumber(771), 15+Greenfoot.getRandomNumber(370)); //random placement of the frog
     //   }
    }

    public int randomPosition(String pos){
        if(pos == "width") {return(10+Greenfoot.getRandomNumber(790));} else {//returns width except border regions (10px margin)
            return(10+Greenfoot.getRandomNumber(390));} //returns height except border regions (10px margin)
    }
}
