import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * AntEater is a creature huning ants in the Arena. It moves randomly.
 *
 * 
 * @author 
 * @version v1
 */
public class AntEater extends Actor
{
    private int stepSize = 2;
    /**
     * Constructor for creating an ant with an assigned anthill and random orientation
     */
    public AntEater()
    {
        setRotation(Greenfoot.getRandomNumber(360));
    }
    
    /**
     * Act - do whatever the Ant wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    { 
                if(atWorldsEdge()){
                    turn(180);
                }else{
                    turn(10-Greenfoot.getRandomNumber(21)); //otoc nahodne v rozmezí -10 -> 10
                }
                if(Greenfoot.getRandomNumber(4)>2){move(stepSize);}
            }
            
            /**
     * Return TRUE if ant is at the worlds edge
     */
    public boolean atWorldsEdge()
    {
        if(getX()< 12 ||getX() > getWorld().getWidth() - 12){ return true;}
        if(getY()< 12 ||getY() > getWorld().getHeight() - 12){ return true;}
        else{return false;}
    }
}
